### Signal

# Atk Object::attribute-changed

since: 2.52

#### Declaration

    void
    attribute_changed (
      AtkObject* self,
      gchar* arg1,
      gchar* arg2,
      gpointer user_data
    )

#### Description [src]

The “attribute-changed” signal should be emitted when one of an object’s attributes changes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.52

#### Parameters

`arg1`

  Type: `gchar*`

  The name of the attribute being modified, or `NULL` if not available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg2`

  Type: `gchar*`

  The attribute’s new value, or %null if not available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.